List sandboxes
curl --request GET \
--url https://api.thundercompute.com:8443/v1/sandboxes \
--header 'Authorization: <api-key>'import requests
url = "https://api.thundercompute.com:8443/v1/sandboxes"
headers = {"Authorization": "<api-key>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: '<api-key>'}};
fetch('https://api.thundercompute.com:8443/v1/sandboxes', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"next_page_token": "<string>",
"sandboxes": [
{
"created_at": "<string>",
"id": "<string>",
"lifetime": {
"enforce_ttl": true,
"max_grace_seconds": 123,
"max_ttl_seconds": 123
},
"name": "<string>",
"network_policy": {
"internet_access": "closed",
"cidr_allowlist": [
"<string>"
],
"domain_allowlist": [
"<string>"
]
},
"spec": {
"cpu_count": 123,
"memory_gib": 123,
"storage_gib": 123,
"gpu_count": 123,
"gpu_type": "A6000"
},
"status": "created",
"expires_at": "<string>",
"failure": "<string>",
"failure_code": "<string>",
"logs": [
{
"event": "created",
"id": "<string>",
"sandbox_id": "<string>",
"timestamp": "<string>",
"data": {
"message": "<string>",
"node_name": "<string>",
"phase": "<string>"
}
}
],
"ssh": {
"host": "<string>",
"port": 123,
"user": "<string>"
},
"stopped_at": "<string>"
}
]
}{
"code": 400,
"error": "invalid_request",
"message": "The request is malformed"
}{
"code": 400,
"error": "invalid_request",
"message": "The request is malformed"
}{
"code": 400,
"error": "invalid_request",
"message": "The request is malformed"
}Sandboxes
List sandboxes
GET
/
sandboxes
List sandboxes
Authorizations
Bearer token authentication. Provide your API token prefixed with "Bearer ", e.g. "Bearer your-api-token".
Query Parameters
Page size (maximum 100)
active (default), all, or one of created, ready, finished, failed
Opaque continuation token
Was this page helpful?